edu.isi.pegasus.planner.transfer

## Class RemoteTransfer.TransferState

- java.lang.Object
- - edu.isi.pegasus.planner.transfer.RemoteTransfer.TransferState

Enclosing class:
  RemoteTransfer

    private static class RemoteTransfer.TransferState
    extends java.lang.Object

An inner class that holds the state for a particular site,as to whether to execute transfers remotely or not.

### Field Summary

Fields
`static int` `ALL_REMOTE_TYPE` The constant to denote that all transfers are to be exectuted remotely
`static int` `INTER_REMOTE_TYPE` The constant to denote that an inter site transfer is to be exectuted remotely
`private int` `mState` Stores the state as an integer.
`static int` `STAGE_IN_REMOTE_TYPE` The constant to denote that a stage-in transfer is to be exectuted remotely
`static int` `STAGE_OUT_REMOTE_TYPE` The constant to denote that a stage-out transfer is to be exectuted remotely

### Constructor Summary

Constructors
Constructor and Description
`TransferState()` The default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `get(int type)` Returns a boolean indicating whether the attribute passed is set in the transfer state or not.
`int` `getState()` Returns the state.
`void` `set(int type)` Sets a type of transfer to be third party.
`java.lang.String` `toString()` Returns a textual description of the state as (stageinRemote,interRemote,stageoutRemote).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### STAGE_IN_REMOTE_TYPE

    public static final int STAGE_IN_REMOTE_TYPE

The constant to denote that a stage-in transfer is to be exectuted remotely

See Also:
  Constant Field Values

#### INTER_REMOTE_TYPE

    public static final int INTER_REMOTE_TYPE

The constant to denote that an inter site transfer is to be exectuted remotely

See Also:
  Constant Field Values

#### STAGE_OUT_REMOTE_TYPE

    public static final int STAGE_OUT_REMOTE_TYPE

The constant to denote that a stage-out transfer is to be exectuted remotely

See Also:
  Constant Field Values

#### ALL_REMOTE_TYPE

    public static final int ALL_REMOTE_TYPE

The constant to denote that all transfers are to be exectuted remotely

See Also:
  Constant Field Values

#### mState

    private int mState

Stores the state as an integer.

### Constructor Detail

#### TransferState

    public TransferState()

The default constructor.

### Method Detail

#### getState

    public int getState()

Returns the state.

Returns:
  the state as an int

#### set

    public void set(int type)

Sets a type of transfer to be third party.

Parameters:
  `type` - the type of transfer to be set TPT

#### get

    public boolean get(int type)

Returns a boolean indicating whether the attribute passed is set in the transfer state or not. The attribute types are as constants in this class.

Parameters:
  `type` - the attribute type.

#### toString

    public java.lang.String toString()

Returns a textual description of the state as (stageinRemote,interRemote,stageoutRemote).

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the textual description.